<?php
	include_once("db.php");

	//make result object
	$result = array();
	$result['ok'] = false;

	//get post data
	$postdata = file_get_contents("php://input");
	$post = json_decode($postdata, true);

	$idcomment = $post['idcomment'];

	$commentdelete = pg_prepare($dbconn, "commentdelete", "delete from comment where idcomment = $1");
	$commentdelete = pg_execute($dbconn, "commentdelete", array($idcomment));

	if($commentdelete===FALSE) {
		$result['ok'] = false;
		$result['error'] = pg_last_error($dbconn);
	} else {
		//return data
		$result['ok'] = true;
		$result['debug'] = 'deleted comment '.$post['idcomment'];
	}

	//print message
	$resultjson =  json_encode($result);

	echo $resultjson;
?>
